Cabal-1.18.1.5: A framework for packaging Haskell software

Safe Haskell | None
Language | Haskell98

Distribution.PackageDescription.PrettyPrint

Description

Pretty printing for cabal files

Synopsis

- writeGenericPackageDescription :: FilePath -> GenericPackageDescription -> IO ()
- showGenericPackageDescription :: GenericPackageDescription -> String

# Documentation

writeGenericPackageDescription :: FilePath -> GenericPackageDescription -> IO ()

Writes a .cabal file from a generic package description

showGenericPackageDescription :: GenericPackageDescription -> String

Writes a generic package description to a string